 jQuery(function($) { // DOM is now read and ready to be manipulated
  
// Back to top button
$(window).scroll(function() {
  if ($(this).scrollTop() > 1) {
    $('.scroll-top-wrapper').addClass("show");
  }
  else {
    $('.scroll-top-wrapper').removeClass("show");
  }
});
$(".scroll-top-wrapper").on("click", function() {
  $("html, body").animate({ scrollTop: 0 }, 600);
  return false;
});

// Navigation menu
$('.dropdown').hover(function() {
  $(this).find('.dropdown-menu').first().stop(true, true).slideDown(150);
}, function() {
  $(this).find('.dropdown-menu').first().stop(true, true).slideUp(150);
});
$('.dropdown > a').click(function() {
  location.href = this.href;
});



$(window).scroll(function() {    
    var scroll = $(window).scrollTop();

    if (scroll >= 150) {
        $(".sticky-header").addClass("fix-top");
    } else {
        $(".sticky-header").removeClass("fix-top");
    }
});

// Testimonials slider
$('#owl-testimonials').owlCarousel({
  loop:false,
  margin:0,
  nav:false,
  dots:true,
  autoplay:true,
  autoplayTimeout:2000,
  autoplayHoverPause:true,
  responsive:{
    0:{
        items:1
    },
    600:{
        items:1
    },
    1000:{
        items:1
    }
  }
})

// Tours slider
$('#owl-slider').owlCarousel({
  loop:false,
  margin:15,
  nav:true,
  dots:false,
  autoplay:true,
  autoplayTimeout:4000,
  autoplayHoverPause:true,
  responsive:{
    0:{
      items: 1
    },
    576:{
      items: 2
    },
    768:{
      items: 3
    },
    1024:{
      items: 4
    }
  }
})

// Blog slider
$('#owl-blog').owlCarousel({
  loop:false,
  margin:20,
  nav:true,
  dots:false,
  autoplay:true,
  autoplayTimeout:4000,
  autoplayHoverPause:true,
  responsive:{
    0:{
      items: 1
    },
    576:{
      items: 2
    },
    1024:{
      items: 3
    }
  }
})

$('.widget-instagram .popup-gallery').addClass('owl-carousel');
$('.widget-instagram .popup-gallery').owlCarousel({
      loop:false,
      margin:15,
      nav:true,
      dots:false,
      autoplay:true,
      autoplayTimeout:2000,
      autoplayHoverPause:true,
      responsive:{
          0:{
              items:1
          },
          600:{
              items:3
          },
          1000:{
              items:5
          },
          1440:{
                items: 8
          }
      }
  })







var wow = new WOW(
  {
    boxClass:     'wowload',      // animated element css class (default is wow)
    animateClass: 'animated', // animation css class (default is animated)
    offset:       0,          // distance to the element when triggering the animation (default is 0)
    mobile:       true,       // trigger animations on mobile devices (default is true)
    live:         true        // act on asynchronously loaded content (default is true)
  }
);
wow.init();

});